using System;
using System.Threading.Tasks;

internal sealed class Delegate709 : MulticastDelegate
{
	public extern Task<string> Invoke(object object_0);

	public static Task<string> smethod_0(object object_0, Delegate709 delegate709_1)
	{
		return delegate709_1(object_0);
	}

	public extern Delegate709(object object_0, IntPtr intptr_0);

	static Delegate709()
	{
		Class10.smethod_13(typeof(Delegate709).TypeHandle);
	}

	internal static Delegate709 delegate709_0;
}
